# Khaotic Engine Reborn: light_class Class Reference

Loading...
Searching...
No Matches
light_class Class Reference

## Public Member Functions

| light_class (const light_class &)
void | SetAmbientColor (float, float, float, float)
void | SetDiffuseColor (float, float, float, float)
void | SetDirection (float, float, float)
void | SetSpecularColor (float, float, float, float)
void | SetSpecularPower (float)
void | SetPosition (float, float, float)
XMFLOAT4 | GetAmbientColor ()
XMFLOAT4 | GetDiffuseColor ()
XMFLOAT3 | GetDirection ()
XMFLOAT4 | GetSpecularColor ()
float | GetSpecularPower ()
XMFLOAT4 | GetPosition ()
void | SetIntensity (float intensity)
float | GetIntensity () const

## Detailed Description

Definition at line 19 of file light_class.h.

## Constructor & Destructor Documentation

## light_class() [1/2]

light_class::light_class | ( |  | ) |

Definition at line 7 of file light_class.cpp.

{
}

## light_class() [2/2]

light_class::light_class | ( | const light_class & | other | ) |

Definition at line 12 of file light_class.cpp.

{
}

## ~light_class()

light_class::~light_class | ( |  | ) |

Definition at line 17 of file light_class.cpp.

{
}

## Member Function Documentation

## GetAmbientColor()

XMFLOAT4 light_class::GetAmbientColor | ( |  | ) |

Definition at line 61 of file light_class.cpp.

{
return m_ambientColor;
}

## GetDiffuseColor()

XMFLOAT4 light_class::GetDiffuseColor | ( |  | ) |

Definition at line 67 of file light_class.cpp.

{
return m_diffuseColor;
}

## GetDirection()

XMFLOAT3 light_class::GetDirection | ( |  | ) |

Definition at line 72 of file light_class.cpp.

{
return m_direction;
}

## GetIntensity()

float light_class::GetIntensity | ( |  | ) | const

inline

Definition at line 41 of file light_class.h.

{ return m_intensity; }

## GetPosition()

XMFLOAT4 light_class::GetPosition | ( |  | ) |

Definition at line 88 of file light_class.cpp.

{
return m_position;
}

## GetSpecularColor()

XMFLOAT4 light_class::GetSpecularColor | ( |  | ) |

Definition at line 77 of file light_class.cpp.

{
return m_specularColor;
}

## GetSpecularPower()

float light_class::GetSpecularPower | ( |  | ) |

Definition at line 83 of file light_class.cpp.

{
return m_specularPower;
}

## SetAmbientColor()

void light_class::SetAmbientColor | ( | float | red,
|  | float | green,
|  | float | blue,
|  | float | alpha )

Definition at line 21 of file light_class.cpp.

{
m_ambientColor = XMFLOAT4(red, green, blue, alpha);
return;
}

## SetDiffuseColor()

void light_class::SetDiffuseColor | ( | float | red,
|  | float | green,
|  | float | blue,
|  | float | alpha )

Definition at line 29 of file light_class.cpp.

{
m_diffuseColor = XMFLOAT4(red, green, blue, alpha);
return;
}

## SetDirection()

void light_class::SetDirection | ( | float | x,
|  | float | y,
|  | float | z )

Definition at line 36 of file light_class.cpp.

{
m_direction = XMFLOAT3(x, y, z);
return;
}

## SetIntensity()

void light_class::SetIntensity | ( | float | intensity | ) |

inline

Definition at line 40 of file light_class.h.

{ m_intensity = intensity; }

## SetPosition()

void light_class::SetPosition | ( | float | x,
|  | float | y,
|  | float | z )

Definition at line 55 of file light_class.cpp.

{
m_position = XMFLOAT4(x, y, z, 1.0f);
return;
}

## SetSpecularColor()

void light_class::SetSpecularColor | ( | float | red,
|  | float | green,
|  | float | blue,
|  | float | alpha )

Definition at line 42 of file light_class.cpp.

{
m_specularColor = XMFLOAT4(red, green, blue, alpha);
return;
}

## SetSpecularPower()

void light_class::SetSpecularPower | ( | float | power | ) |

Definition at line 49 of file light_class.cpp.

{
m_specularPower = power;
return;
}

The documentation for this class was generated from the following files:

- enginecustom/src/inc/system/light_class.h
- enginecustom/src/src/system/light_class.cpp